/*=========================================================================

  Program:   CMake - Cross-Platform Makefile Generator
  Module:    $RCSfile: cmCPackTarXZGenerator.h,v $
  Language:  C++
  Date:      $Date: 2007-02-02 19:40:26 $
  Version:   $Revision: 1.2 $

  Copyright (c) 2002 Kitware, Inc. All rights reserved.
  See Copyright.txt or http://www.cmake.org/HTML/Copyright.html for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notices for more information.

=========================================================================*/

#ifndef cmCPackTarXZGenerator_h
#define cmCPackTarXZGenerator_h

#include "cmCPackArchiveGenerator.h"

/** \class cmCPackTarXZGenerator
 * \brief A generator for TarXZ files
 */
class cmCPackTarXZGenerator : public cmCPackArchiveGenerator
{
public:
  cmCPackTypeMacro(cmCPackTarXZGenerator, cmCPackArchiveGenerator);
  /**
   * Construct generator
   */
  cmCPackTarXZGenerator();
  virtual ~cmCPackTarXZGenerator();
protected:
  virtual const char* GetOutputExtension() { return ".tar.xz"; }
};

#endif
